﻿Imports Mouratx.Win

Public Class Form1

    
    '-----------------------------------------------
    'When resizes ends then redraw the MLightPanel1.
    Private Sub Form1_ResizeEnd(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.ResizeEnd

        Me.MLightPanel1.BackColorInfo.SuspendDrawing = False
        Me.MLightPanel1.Invalidate()
    End Sub
    '-----------------------------------------------
    'When resizes begins make MLightPanel not redraw itself, for not displaying the flickering side effect. 
    'if you don't mind the flickering then removes these Resize event handlers.
    Private Sub Form1_ResizeBegin(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.ResizeBegin

        Me.MLightPanel1.BackColorInfo.SuspendDrawing = True

    End Sub
    '-----------------------------------------------
    Private Sub btnSolidColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSolidColor.Click

        MLightPanel1.BackColorInfo.ColorSolid = Color.Cyan
        MLightPanel1.BackColorInfo.BackColorType = clsBackColorInfo.BackColorTypeEnum.Solid
        MLightPanel1.Invalidate()

    End Sub
    '-----------------------------------------------
    Private Sub btnGradientTwoLinear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGradientTwoLinear.Click

        MLightPanel1.BackColorInfo.ColorGradient1 = Color.Yellow
        MLightPanel1.BackColorInfo.ColorGradient2 = Color.Blue
        MLightPanel1.BackColorInfo.GradientTwoMode = clsBackColorInfo.GradientModeEnum.Vertical
        MLightPanel1.BackColorInfo.BackColorType = clsBackColorInfo.BackColorTypeEnum.GradientTwo
        MLightPanel1.Invalidate()

    End Sub
    '-----------------------------------------------
    Private Sub btnGradientTwoCenter_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGradientTwoCenter.Click

        MLightPanel1.BackColorInfo.ColorGradient1 = Color.Yellow
        MLightPanel1.BackColorInfo.ColorGradient2 = Color.Blue
        MLightPanel1.BackColorInfo.GradientTwoMode = clsBackColorInfo.GradientModeEnum.Centered
        MLightPanel1.BackColorInfo.BackColorType = clsBackColorInfo.BackColorTypeEnum.GradientTwo
        MLightPanel1.Invalidate()

    End Sub
    '-----------------------------------------------

    Private Sub btnGradientMultiLinear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGradientMultiLinear.Click

        Dim clrItem As clsBackColorInfo.GradientMultiInfoStruct
        Dim LstColors As New List(Of clsBackColorInfo.GradientMultiInfoStruct)

        clrItem.Color = Color.Black : clrItem.Position = 0 : LstColors.Add(clrItem)
        clrItem.Color = Color.Yellow : clrItem.Position = 0 : LstColors.Add(clrItem)
        clrItem.Color = Color.Green : clrItem.Position = 0 : LstColors.Add(clrItem)
        clrItem.Color = Color.Red : clrItem.Position = 0 : LstColors.Add(clrItem)

        MLightPanel1.BackColorInfo.ColorGradientMulti = LstColors
        MLightPanel1.BackColorInfo.GradientMultiMode = clsBackColorInfo.GradientModeEnum.ForwardDiagonal
        MLightPanel1.BackColorInfo.BackColorType = clsBackColorInfo.BackColorTypeEnum.GradientMulti
        MLightPanel1.Invalidate()

    End Sub
    '-----------------------------------------------

    Private Sub btnGradientMultiLCentered_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGradientMultiLCentered.Click

        Dim clrItem As clsBackColorInfo.GradientMultiInfoStruct
        Dim LstColors As New List(Of clsBackColorInfo.GradientMultiInfoStruct)

        clrItem.Color = Color.Black : clrItem.Position = 0 : LstColors.Add(clrItem)
        clrItem.Color = Color.Yellow : clrItem.Position = 0 : LstColors.Add(clrItem)
        clrItem.Color = Color.Green : clrItem.Position = 0 : LstColors.Add(clrItem)
        clrItem.Color = Color.Red : clrItem.Position = 0 : LstColors.Add(clrItem)

        MLightPanel1.BackColorInfo.ColorGradientMulti = LstColors
        MLightPanel1.BackColorInfo.GradientMultiMode = clsBackColorInfo.GradientModeEnum.Centered
        MLightPanel1.BackColorInfo.BackColorType = clsBackColorInfo.BackColorTypeEnum.GradientMulti
        MLightPanel1.Invalidate()

    End Sub
    '-----------------------------------------------

    Private Sub btnHatch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnHatch.Click

        MLightPanel1.BackColorInfo.HatchHatchStyle = Drawing2D.HatchStyle.Plaid
        MLightPanel1.BackColorInfo.HatchForeColor = Color.Yellow
        MLightPanel1.BackColorInfo.HatchBackColor = Color.Red
        MLightPanel1.BackColorInfo.BackColorType = clsBackColorInfo.BackColorTypeEnum.Hatch
        MLightPanel1.Invalidate()

    End Sub
    '-----------------------------------------------

    Private Sub btnTextureZoom_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnTextureZoom.Click

        MLightPanel1.BackColorInfo.TextureImage = My.Resources.Andros
        MLightPanel1.BackColorInfo.TextureWrapStyle = clsBackColorInfo.WrapStylesEnum.Zoom
        MLightPanel1.BackColorInfo.BackColorType = clsBackColorInfo.BackColorTypeEnum.Texture
        MLightPanel1.Invalidate()
    End Sub
    '-----------------------------------------------

    Private Sub btnTextureTile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnTextureTile.Click

        MLightPanel1.BackColorInfo.TextureImage = My.Resources.Andros
        MLightPanel1.BackColorInfo.TextureWrapStyle = clsBackColorInfo.WrapStylesEnum.Tile
        MLightPanel1.BackColorInfo.BackColorType = clsBackColorInfo.BackColorTypeEnum.Texture
        MLightPanel1.Invalidate()
    End Sub
    '-----------------------------------------------

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Me.Close() : End
    End Sub
    '-----------------------------------------------
End Class
